## org.hibernate.ejb.metamodel
Class SingularAttributeImpl<X,Y>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,Y>
          org.hibernate.ejb.metamodel.SingularAttributeImpl<X,Y>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.Attribute<X,Y>, javax.persistence.metamodel.Bindable<Y>, javax.persistence.metamodel.SingularAttribute<X,Y>, AttributeImplementor<X,Y>

Direct Known Subclasses:
  SingularAttributeImpl.Identifier, SingularAttributeImpl.Version

    public class SingularAttributeImpl<X,Y>

extends AbstractAttribute<X,Y>
implements javax.persistence.metamodel.SingularAttribute<X,Y>, Serializable

Author:
  Emmanuel Bernard, Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary
`static class` `SingularAttributeImpl.Identifier<X,Y>` Subclass used to simply instantiation of singular attributes representing an entity's identifier.
`static class` `SingularAttributeImpl.Version<X,Y>` Subclass used to simply instantiation of singular attributes representing an entity's version.

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`javax.persistence.metamodel.Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`javax.persistence.metamodel.Bindable.BindableType`

Constructor Summary
`SingularAttributeImpl(String name, Class<Y> javaType, AbstractManagedType<X> declaringType, Member member, boolean isIdentifier, boolean isVersion, boolean isOptional, javax.persistence.metamodel.Type<Y> attributeType, javax.persistence.metamodel.Attribute.PersistentAttributeType persistentAttributeType)`

Method Summary
`Class<Y>` `getBindableJavaType()`
`javax.persistence.metamodel.Bindable.BindableType` `getBindableType()`
`javax.persistence.metamodel.Type<Y>` `getType()`
`boolean` `isAssociation()`
`boolean` `isCollection()`
`boolean` `isId()`
`boolean` `isOptional()`
`boolean` `isVersion()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Constructor Detail

### SingularAttributeImpl

    public SingularAttributeImpl(String name,
                                 Class<Y> javaType,
                                 AbstractManagedType<X> declaringType,
                                 Member member,
                                 boolean isIdentifier,
                                 boolean isVersion,
                                 boolean isOptional,
                                 javax.persistence.metamodel.Type<Y> attributeType,
                                 javax.persistence.metamodel.Attribute.PersistentAttributeType persistentAttributeType)

Method Detail

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `javax.persistence.metamodel.SingularAttribute<X,Y>`

### isVersion

    public boolean isVersion()

  Specified by:
    `isVersion` in interface `javax.persistence.metamodel.SingularAttribute<X,Y>`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `javax.persistence.metamodel.SingularAttribute<X,Y>`

### getType

    public javax.persistence.metamodel.Type<Y> getType()

  Specified by:
    `getType` in interface `javax.persistence.metamodel.SingularAttribute<X,Y>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `javax.persistence.metamodel.Attribute<X,Y>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `javax.persistence.metamodel.Attribute<X,Y>`

### getBindableType

    public javax.persistence.metamodel.Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `javax.persistence.metamodel.Bindable<Y>`

### getBindableJavaType

    public Class<Y> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `javax.persistence.metamodel.Bindable<Y>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.